<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_Rebook StructType
 * @subpackage Structs
 */
class JP_Rebook extends AbstractStructBase
{
    /**
     * The ItemId
     * @var string
     */
    public $ItemId;
    /**
     * Constructor method for JP_Rebook
     * @uses JP_Rebook::setItemId()
     * @param string $itemId
     */
    public function __construct($itemId = null)
    {
        $this
            ->setItemId($itemId);
    }
    /**
     * Get ItemId value
     * @return string|null
     */
    public function getItemId()
    {
        return $this->ItemId;
    }
    /**
     * Set ItemId value
     * @param string $itemId
     * @return \StructType\JP_Rebook
     */
    public function setItemId($itemId = null)
    {
        // validation for constraint: string
        if (!is_null($itemId) && !is_string($itemId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($itemId, true), gettype($itemId)), __LINE__);
        }
        $this->ItemId = $itemId;
        return $this;
    }
}
